RemoteMediaRendererModule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn
Interface RemoteMediaRendererModule

All Superinterfaces:
  NetModule

    public interface RemoteMediaRendererModule

extends NetModule

This interface provides management for Remote Media Renderer capabilities for the purposes of streaming content between servers and renderers on the home network.

The interface is designed to be agnostic to underlying protocols, , and underlying mechanisms such as setting up the connection and negotiating protocols are implementation specific below the API level.

Version:
  1.0
Author:
  Carlton J Sparrell, Ucentric Systems

Field Summary

Fields inherited from interface org.ocap.hn.NetModule
`CONTENT_LIST, CONTENT_MANAGER, CONTENT_RENDERER, CONTENT_SERVER, PROP_CONTROL_URL, PROP_DESCRIPTION_URL, PROP_EventSub_URL, PROP_NETMODULE_ID`

Method Summary
`Player` | `createRemotePlayer(Locator sourceLocator)` Returns player for this remote renderer
`Enumeration` | `getSupportedMimeTypes()` Returns MIME types supported by the media renderer
`boolean` | `isSupportedMimeType(String mimeType)` Checks to see if the mime type is supported

Methods inherited from interface org.ocap.hn.NetModule
`addNetModuleEventListener, getDevice, getKeys, getNetModuleId, getNetModuleType, getProperty, removeNetModuleEventListener`

Method Detail

### getSupportedMimeTypes

    Enumeration getSupportedMimeTypes()
                                      throws SecurityException

  Returns MIME types supported by the media renderer

  Returns:
    MIME types supported by the media renderer
  Throws:
    `SecurityException` - if the application does not have HomeNetPermission "remoterendering"

### isSupportedMimeType

    boolean isSupportedMimeType(String mimeType)
                                throws SecurityException

  Checks to see if the mime type is supported

  Parameters:
    `mimeType` - The MIME type to check.
  Returns:
    false if mime type is not supported
  Throws:
    `SecurityException` - if the application does not have HomeNetPermission "remoterendering"

### createRemotePlayer

    Player createRemotePlayer(Locator sourceLocator)
                              throws NoPlayerException,
                                     SecurityException

  Returns player for this remote renderer

  Parameters:
    `sourceLocator` - The locator of the source to play.
  Returns:
    player for this renderer
  Throws:
    `SecurityException` - if the application does not have HomeNetPermission "remoterendering"
    `NoPlayerException` - if the player cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD